<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>
    <AssemblyName>HyperCube</AssemblyName>
    <RootNamespace>HyperCube</RootNamespace>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="MailKit" Version="2.15.0" />
    <PackageReference Include="Microsoft.AspNetCore.Diagnostics.EntityFrameworkCore" Version="5.0.11" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="5.0.11" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="5.0.11" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="5.0.11">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="MySql.EntityFrameworkCore" Version="5.0.8" />
    <PackageReference Include="MySql.Data" Version="8.0.27" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Areas\Identity\Pages\Account\Manage\" />
    <Folder Include="Utils\" />
    <Folder Include="wwwroot\images\" />
  </ItemGroup>

  <ItemGroup>
    <None Include="wwwroot\images\2dh_logo01.svg" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="Pullenti.Core">
      <HintPath>Pullenti\Pullenti.Core.dll</HintPath>
    </Reference>
    <Reference Include="Unitext.Core">
      <HintPath>Pullenti\Unitext.Core.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
